import { jsx } from "react/jsx-runtime";
import { TokenETI as TokenETI$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenETI = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "ETI", "data-name": "TokenETI", ...props, children: /* @__PURE__ */ jsx(TokenETI$1, { variant }) });
  }
);
TokenETI.displayName = "TokenETI";
Object.assign(TokenETI, { isGdsIcon: true });
export {
  TokenETI
};
